from gcs_cli.commands.auth_policy.create import auth_policy_create
from gcs_cli.commands.auth_policy.delete import auth_policy_delete
from gcs_cli.commands.auth_policy.list import auth_policy_list
from gcs_cli.commands.auth_policy.show import auth_policy_show
from gcs_cli.commands.auth_policy.update import auth_policy_update
from gcs_cli.parsing import globus_group


@globus_group(
    name="auth-policy",
    disable_options=["explicit_host", "format"],
)
def auth_policy_command() -> None:
    """Manage authentication policies"""


auth_policy_command.add_command(auth_policy_list)
auth_policy_command.add_command(auth_policy_show)
auth_policy_command.add_command(auth_policy_create)
auth_policy_command.add_command(auth_policy_update)
auth_policy_command.add_command(auth_policy_delete)
