import uuid
from typing import Any

from gcs_cli.helpers import record_print_result_message, requires_login
from gcs_cli.parsing import collection_id_arg, globus_command
from gcs_cli.services.gcs import get_client


@globus_command("delete", short_help="Delete an existing Collection")
@collection_id_arg
@requires_login
def collection_delete(collection_id: uuid.UUID, **kwargs: Any) -> None:
    """
    Delete an existing Collection. This requires the administrator role on the
    Endpoint.
    """
    client = get_client()
    res = client.delete_collection(collection_id)
    record_print_result_message(res)
