from gcs_migration.models import MigrationPlan, S3Credential


def _fixup_s3_credential(
    migration_plan: MigrationPlan, credential: S3Credential
) -> None:
    assert credential.id is not None
    old_credential_id: str = credential.id

    credential.username = credential.identity_username
    credential.refresh_id()

    if migration_plan.guest_collections:
        for gc in migration_plan.guest_collections:
            if gc.credential_id == old_credential_id:
                gc.credential_id = credential.id
                gc.credential = credential
