import marshmallow as ma

from .data_type import Schema, data_type, data_type_schema


@data_type("missing_required_scopes#1.0.0")
class MissingRequiredScopes_1_0_0(Schema):
    """
    Error details when a user has authenticated but lacks an OAuth scope to be
    able to perform the requested operation.
    """

    required_scopes = ma.fields.List(
        ma.fields.String, description="List of OAuth scope names"
    )


MissingRequiredScopes = data_type_schema.MissingRequiredScopes
