import marshmallow as ma


class CleanupUUIDMixin:
    """
    Mixin class that converts UUID types to string after deserialization.
    """

    @ma.post_load
    def cleanup_uuid(self, obj, **kwargs):
        uuid_fields = getattr(self, "uuid_fields", [])

        for f in uuid_fields:
            if f in obj and obj[f] is not None:
                obj[f] = str(obj[f])
        return obj
