from __future__ import annotations

import marshmallow as ma


class ConnectorSubscriptionInfo(ma.Schema):
    is_ha = ma.fields.Boolean()
    is_baa = ma.fields.Boolean()


class SubscriptionInfo(ma.Schema):
    connectors = ma.fields.Mapping(
        keys=ma.fields.UUID(), values=ma.fields.Nested(ConnectorSubscriptionInfo)
    )
    is_baa = ma.fields.Boolean()
    is_high_assurance = ma.fields.Boolean()


class SubscriptionGroup(ma.Schema):
    group_id = ma.fields.UUID()
    subscription_id = ma.fields.UUID()
    subscription_info = ma.fields.Nested(SubscriptionInfo)


subscription_group_schema = SubscriptionGroup()
