from flask import current_app

import globus.manager.api.models as m
from globus.manager.api.schemas.api.info import Info as info_schema
from globus.manager.version import __api_version__, __version__


def info():
    client_id = current_app.config["CLIENT_ID"]
    ep = m.Endpoint.query.one()

    return info_schema.dump(
        {
            "api_version": __api_version__,
            "manager_version": __version__,
            "client_id": client_id,
            "endpoint_id": ep.endpoint_id,
            "domain_name": ep.domain_name,
        }
    )
