import click

from gcs_cli.parsing.command_decorator import globus_command


@globus_command(
    name="cleanup",
    short_help="Cleanup the Globus OIDC server on this node",
    disable_options=["format", "explicit_host"],
    hidden=True,
    help="""\
The OIDC cleanup command disables the OIDC server on the GCS node.
This is automatically run during node cleanup.

== EXAMPLE

globus-connect-server oidc cleanup

""",
)
@click.pass_context
def oidc_cleanup(ctx):
    from .oidc_cleanup import oidc_cleanup as oc

    oc(ctx)
