import click

from gcs_cli.parsing.command_decorator import globus_command


@globus_command(
    "reap",
    help="Remove data related to deleted database objects",
    hidden=True,
    disable_options=["format", "explicit_host"],
)
@click.option(
    "--age",
    help="Minimum age of deleted objects to remove (in days)",
    type=int,
    metavar="DAYS",
    show_default=True,
    default=2,
)
def reap(age):
    from .reaper import reap as r

    r(age)
